package com.brilliance.isc.bo.lg;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.brilliance.isc.bo.model.Gcdgrp;
import com.brilliance.isc.bo.model.Gidgrp;
import com.brilliance.isc.vo.CipmodVo;
import com.brilliance.isc.vo.TransOrderVo;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class GitsetStoreBo extends BaseTransactionVo {
    private Gidgrp gidgrp;
    private Gcdgrp gcdgrp;
    private Gidgrp oldgidgrp;
    private String gitapll2blk= NULLSTR;
    private String gitapll1blk= NULLSTR;
    private String gitbenl1blk= NULLSTR;
    private String gitprbl1blk= NULLSTR;
    private String gitrmrl1blk= NULLSTR;
    private String cre732flg = NULLSTR;
    private BigDecimal docamt = Decimals.ZERO_SCALE2;
    private String clsflg = NULLSTR;
    private String paypsb = NULLSTR;
    private String swftyp = NULLSTR;
    //预计核验日期
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date prechkdat;
    //是否需要核验
    private String ischktyp = NULLSTR;
    private String clmrmbflg = NULLSTR;
    private String tag77atxt754 = NULLSTR;

    //跨境人民币清算模式  trnmod.cmtflg
    private String cmtflg;

    private CipmodVo cipmodVo;
    private TransOrderVo transOrderVo;

    @Override
    public void reset() {
        super.reset();
        if (gidgrp == null) {
            gidgrp = new Gidgrp();
        }
        gidgrp.reset();
        if (gcdgrp == null) {
            gcdgrp = new Gcdgrp();
        }
        gcdgrp.reset();
        if (oldgidgrp == null) {
            oldgidgrp = new Gidgrp();
        }
        oldgidgrp.reset();
    }
}
